Main Page Class List Class Members

# Nv::Blast::FixedQueue< T > Class Template Reference

`#include <NvBlastFixedQueue.h>`

List of all members.

## Public Member Functions
T | back ()
bool | empty () const
| FixedQueue (uint32_t maxEntries)
T | front ()
T | popBack ()
T | popFront ()
bool | pushBack (const T &element)
uint32_t | size () const
## Static Public Member Functions
static size_t | requiredMemorySize (uint32_t capacity)

## Detailed Description

### template<class T>
class Nv::Blast::FixedQueue< T >

FixedQueue is a queue container which is intended to be used with placement new on chunk of memory. It'll use following memory for data layout. As follows:

some memory char ​*buf = new char[64 *​ 1024];

placement new on this memory FixedQueue<SomeClass>* arr = new (buf) FixedQueue<SomeClass>();

you can get max requiredMemorySize by an array of 'capacity' elements count to use memory left buf = buf + FixedQueue<SomeClass>::requiredMemorySize(capacity);

## Constructor & Destructor Documentation

template<class T >

Nv::Blast::FixedQueue< T >::FixedQueue | ( | uint32_t | maxEntries | ) | `[inline, explicit]`

## Member Function Documentation

template<class T >

T Nv::Blast::FixedQueue< T >::back | ( |  | ) | `[inline]`

template<class T >

bool Nv::Blast::FixedQueue< T >::empty | ( |  | ) | const`[inline]`

template<class T >

T Nv::Blast::FixedQueue< T >::front | ( |  | ) | `[inline]`

template<class T >

T Nv::Blast::FixedQueue< T >::popBack | ( |  | ) | `[inline]`

template<class T >

T Nv::Blast::FixedQueue< T >::popFront | ( |  | ) | `[inline]`

template<class T >

bool Nv::Blast::FixedQueue< T >::pushBack | ( | const T & | element | ) | `[inline]`

template<class T >

static size_t Nv::Blast::FixedQueue< T >::requiredMemorySize | ( | uint32_t | capacity | ) | `[inline, static]`

template<class T >

uint32_t Nv::Blast::FixedQueue< T >::size | ( |  | ) | const`[inline]`

The documentation for this class was generated from the following file:

- sdk/common/NvBlastFixedQueue.h